Data sources
Get data source
Obtains information about the specified data source.
GET
/
v2
/
team
/
datasets
/
{dataset_id}
/
datasources
/
{datasource_id}
Get data source
curl --request GET \
--url https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id} \
--header 'x-pd-api-key: <api-key>'import requests
url = "https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id}"
headers = {"x-pd-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-pd-api-key': '<api-key>'}};
fetch('https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-pd-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-pd-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id}")
.header("x-pd-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-pd-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"code": 0,
"data": {
"id": "ds-cm7aedl58000501fc52hjj5c3",
"name": "ds1.xlsx",
"type": "FILE",
"status": "synched",
"size": 14435,
"dataset_id": "dset-cm7ae4d77028n01l1cnapd5si"
}
}Example request:
Example response:
curl --request GET \
--url 'https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id}?user_id=tmm-dafasdfasdfasdf' \
--header 'x-pd-api-key: <api-key>' \
--header 'x-pd-external-trace-id: '
import requests
url = "https://ai.data.cloud/api/v2/team/datasets/{dataset_id}/datasources/{datasource_id}?user_id=tmm-dafasdfasdfasdf"
headers = {
"x-pd-api-key": "gegeege",
"x-pd-external-trace-id": ""
}
response = requests.request("GET", url, headers=headers, params=querystring)
print(response.text)
200
{
"code": 0,
"data": {
"id": "ds-cm7aedl58000501fc52hjj5c3",
"name": "ds1.xlsx",
"type": "FILE",
"status": "synched",
"size": 14435,
"dataset_id": "dset-cm7ae4d77028n01l1cnapd5si"
}
}
Headers
Path Parameters
The ID of the dataset that contains the target data source.
To check the datasets you have access to, call GET /v2/team/datasets.
The ID of the target data source.
To check data sources existing in a specified dataset, call GET /v2/team/datasets/{id}/datasources.
Query Parameters
Your user ID, which uniquely identifies you within your team. To obtain your ID:
- If you're the team admin, refer to Check user information.
- If you're a system or virtual user, ask your team admin to check your user ID by referring to Check user information.
Response
200 - application/json
Status code. 0 indicates that the operation is successful. Otherwise, the operation fails. For error troubleshooting, refer to Error Codes.